using System;

namespace Program
{
    class Program
    {
        static void Main(string[] args)
        {
            var skener = Console.ReadLine().Split();
            int a, b, br = 0;
            a = int.Parse(skener[0]);
            b = int.Parse(skener[1]);
            br = 2 * b;
            for(int i = 0; i < a-2; i++)
            {
                if(i % 2 == 0)
                {
                    br += 3;
                }
                else
                {
                    br += b - 1;
                }
            }
            Console.WriteLine(br);
        }
    }
}